#include <qevent.h>

#include "getkeycode.h"

GetKeyCode::GetKeyCode(QWidget *parent, const char *name)
	: QLineEdit(parent, name)
{}

GetKeyCode::GetKeyCode(const QString &text, QWidget *parent, const char *name)
	: QLineEdit(text, parent, name)
{}

void GetKeyCode::keyPressEvent(QKeyEvent *e)
{
	e->accept();
	emit keyPressed(e);
}
